<?php
$tdatadep_ofna_pers = array();
$tdatadep_ofna_pers[".searchableFields"] = array();
$tdatadep_ofna_pers[".ShortName"] = "dep_ofna_pers";
$tdatadep_ofna_pers[".OwnerID"] = "";
$tdatadep_ofna_pers[".OriginalTable"] = "dep_ofna_pers";


$tdatadep_ofna_pers[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatadep_ofna_pers[".originalPagesByType"] = $tdatadep_ofna_pers[".pagesByType"];
$tdatadep_ofna_pers[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatadep_ofna_pers[".originalPages"] = $tdatadep_ofna_pers[".pages"];
$tdatadep_ofna_pers[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatadep_ofna_pers[".originalDefaultPages"] = $tdatadep_ofna_pers[".defaultPages"];

//	field labels
$fieldLabelsdep_ofna_pers = array();
$fieldToolTipsdep_ofna_pers = array();
$pageTitlesdep_ofna_pers = array();
$placeHoldersdep_ofna_pers = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsdep_ofna_pers["Spanish"] = array();
	$fieldToolTipsdep_ofna_pers["Spanish"] = array();
	$placeHoldersdep_ofna_pers["Spanish"] = array();
	$pageTitlesdep_ofna_pers["Spanish"] = array();
	$fieldLabelsdep_ofna_pers["Spanish"]["dep_dep_id"] = "Dependencia";
	$fieldToolTipsdep_ofna_pers["Spanish"]["dep_dep_id"] = "";
	$placeHoldersdep_ofna_pers["Spanish"]["dep_dep_id"] = "";
	$fieldLabelsdep_ofna_pers["Spanish"]["ofna_ofna_id"] = "Oficina";
	$fieldToolTipsdep_ofna_pers["Spanish"]["ofna_ofna_id"] = "";
	$placeHoldersdep_ofna_pers["Spanish"]["ofna_ofna_id"] = "";
	$fieldLabelsdep_ofna_pers["Spanish"]["ofna_dep"] = "Ofna Dep";
	$fieldToolTipsdep_ofna_pers["Spanish"]["ofna_dep"] = "";
	$placeHoldersdep_ofna_pers["Spanish"]["ofna_dep"] = "";
	$fieldLabelsdep_ofna_pers["Spanish"]["cont_cont_id"] = "Cont Cont Id";
	$fieldToolTipsdep_ofna_pers["Spanish"]["cont_cont_id"] = "";
	$placeHoldersdep_ofna_pers["Spanish"]["cont_cont_id"] = "";
	$fieldLabelsdep_ofna_pers["Spanish"]["cont_pers_id"] = "Cont Pers Id";
	$fieldToolTipsdep_ofna_pers["Spanish"]["cont_pers_id"] = "";
	$placeHoldersdep_ofna_pers["Spanish"]["cont_pers_id"] = "";
	$fieldLabelsdep_ofna_pers["Spanish"]["cont_ofna_id"] = "Cont Ofna Id";
	$fieldToolTipsdep_ofna_pers["Spanish"]["cont_ofna_id"] = "";
	$placeHoldersdep_ofna_pers["Spanish"]["cont_ofna_id"] = "";
	$fieldLabelsdep_ofna_pers["Spanish"]["pers_pers_id"] = "Pers Pers Id";
	$fieldToolTipsdep_ofna_pers["Spanish"]["pers_pers_id"] = "";
	$placeHoldersdep_ofna_pers["Spanish"]["pers_pers_id"] = "";
	$fieldLabelsdep_ofna_pers["Spanish"]["pers_nombre"] = "Nombre";
	$fieldToolTipsdep_ofna_pers["Spanish"]["pers_nombre"] = "";
	$placeHoldersdep_ofna_pers["Spanish"]["pers_nombre"] = "";
	$fieldLabelsdep_ofna_pers["Spanish"]["pers_cargo"] = "Cargo";
	$fieldToolTipsdep_ofna_pers["Spanish"]["pers_cargo"] = "";
	$placeHoldersdep_ofna_pers["Spanish"]["pers_cargo"] = "";
	if (count($fieldToolTipsdep_ofna_pers["Spanish"]))
		$tdatadep_ofna_pers[".isUseToolTips"] = true;
}


	$tdatadep_ofna_pers[".NCSearch"] = true;



$tdatadep_ofna_pers[".shortTableName"] = "dep_ofna_pers";
$tdatadep_ofna_pers[".nSecOptions"] = 0;

$tdatadep_ofna_pers[".mainTableOwnerID"] = "";
$tdatadep_ofna_pers[".entityType"] = 0;
$tdatadep_ofna_pers[".connId"] = "omega2_at_localhost";


$tdatadep_ofna_pers[".strOriginalTableName"] = "dep_ofna_pers";

	



$tdatadep_ofna_pers[".showAddInPopup"] = false;

$tdatadep_ofna_pers[".showEditInPopup"] = false;

$tdatadep_ofna_pers[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadep_ofna_pers[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadep_ofna_pers[".listAjax"] = false;
//	temporary
$tdatadep_ofna_pers[".listAjax"] = false;

	$tdatadep_ofna_pers[".audit"] = false;

	$tdatadep_ofna_pers[".locking"] = false;


$pages = $tdatadep_ofna_pers[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadep_ofna_pers[".edit"] = true;
	$tdatadep_ofna_pers[".afterEditAction"] = 1;
	$tdatadep_ofna_pers[".closePopupAfterEdit"] = 1;
	$tdatadep_ofna_pers[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadep_ofna_pers[".add"] = true;
$tdatadep_ofna_pers[".afterAddAction"] = 1;
$tdatadep_ofna_pers[".closePopupAfterAdd"] = 1;
$tdatadep_ofna_pers[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadep_ofna_pers[".list"] = true;
}



$tdatadep_ofna_pers[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadep_ofna_pers[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadep_ofna_pers[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadep_ofna_pers[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadep_ofna_pers[".printFriendly"] = true;
}



$tdatadep_ofna_pers[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadep_ofna_pers[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadep_ofna_pers[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadep_ofna_pers[".isUseAjaxSuggest"] = true;

$tdatadep_ofna_pers[".rowHighlite"] = true;





$tdatadep_ofna_pers[".ajaxCodeSnippetAdded"] = false;

$tdatadep_ofna_pers[".buttonsAdded"] = false;

$tdatadep_ofna_pers[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadep_ofna_pers[".isUseTimeForSearch"] = false;


$tdatadep_ofna_pers[".badgeColor"] = "CD5C5C";


$tdatadep_ofna_pers[".allSearchFields"] = array();
$tdatadep_ofna_pers[".filterFields"] = array();
$tdatadep_ofna_pers[".requiredSearchFields"] = array();

$tdatadep_ofna_pers[".googleLikeFields"] = array();
$tdatadep_ofna_pers[".googleLikeFields"][] = "dep_dep_id";
$tdatadep_ofna_pers[".googleLikeFields"][] = "ofna_ofna_id";
$tdatadep_ofna_pers[".googleLikeFields"][] = "ofna_dep";
$tdatadep_ofna_pers[".googleLikeFields"][] = "cont_cont_id";
$tdatadep_ofna_pers[".googleLikeFields"][] = "cont_pers_id";
$tdatadep_ofna_pers[".googleLikeFields"][] = "cont_ofna_id";
$tdatadep_ofna_pers[".googleLikeFields"][] = "pers_pers_id";
$tdatadep_ofna_pers[".googleLikeFields"][] = "pers_nombre";
$tdatadep_ofna_pers[".googleLikeFields"][] = "pers_cargo";



$tdatadep_ofna_pers[".tableType"] = "list";

$tdatadep_ofna_pers[".printerPageOrientation"] = 0;
$tdatadep_ofna_pers[".nPrinterPageScale"] = 100;

$tdatadep_ofna_pers[".nPrinterSplitRecords"] = 40;

$tdatadep_ofna_pers[".geocodingEnabled"] = false;










$tdatadep_ofna_pers[".pageSize"] = 20;

$tdatadep_ofna_pers[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadep_ofna_pers[".strOrderBy"] = $tstrOrderBy;

$tdatadep_ofna_pers[".orderindexes"] = array();


$tdatadep_ofna_pers[".sqlHead"] = "SELECT dep_dep_id,  	ofna_ofna_id,  	ofna_dep,  	cont_cont_id,  	cont_pers_id,  	cont_ofna_id,  	pers_pers_id,  	pers_nombre,  	pers_cargo";
$tdatadep_ofna_pers[".sqlFrom"] = "FROM dep_ofna_pers";
$tdatadep_ofna_pers[".sqlWhereExpr"] = "";
$tdatadep_ofna_pers[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadep_ofna_pers[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadep_ofna_pers[".arrGroupsPerPage"] = $arrGPP;

$tdatadep_ofna_pers[".highlightSearchResults"] = true;

$tableKeysdep_ofna_pers = array();
$tdatadep_ofna_pers[".Keys"] = $tableKeysdep_ofna_pers;


$tdatadep_ofna_pers[".hideMobileList"] = array();




//	dep_dep_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "dep_dep_id";
	$fdata["GoodName"] = "dep_dep_id";
	$fdata["ownerTable"] = "dep_ofna_pers";
	$fdata["Label"] = GetFieldLabel("dep_ofna_pers","dep_dep_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "dep_dep_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dep_dep_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "dependencias";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "dependencia";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadep_ofna_pers["dep_dep_id"] = $fdata;
		$tdatadep_ofna_pers[".searchableFields"][] = "dep_dep_id";
//	ofna_ofna_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "ofna_ofna_id";
	$fdata["GoodName"] = "ofna_ofna_id";
	$fdata["ownerTable"] = "dep_ofna_pers";
	$fdata["Label"] = GetFieldLabel("dep_ofna_pers","ofna_ofna_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ofna_ofna_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ofna_ofna_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_oficinas";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "dependencia_oficina";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadep_ofna_pers["ofna_ofna_id"] = $fdata;
		$tdatadep_ofna_pers[".searchableFields"][] = "ofna_ofna_id";
//	ofna_dep
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ofna_dep";
	$fdata["GoodName"] = "ofna_dep";
	$fdata["ownerTable"] = "dep_ofna_pers";
	$fdata["Label"] = GetFieldLabel("dep_ofna_pers","ofna_dep");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ofna_dep";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ofna_dep";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadep_ofna_pers["ofna_dep"] = $fdata;
		$tdatadep_ofna_pers[".searchableFields"][] = "ofna_dep";
//	cont_cont_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "cont_cont_id";
	$fdata["GoodName"] = "cont_cont_id";
	$fdata["ownerTable"] = "dep_ofna_pers";
	$fdata["Label"] = GetFieldLabel("dep_ofna_pers","cont_cont_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cont_cont_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cont_cont_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadep_ofna_pers["cont_cont_id"] = $fdata;
		$tdatadep_ofna_pers[".searchableFields"][] = "cont_cont_id";
//	cont_pers_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "cont_pers_id";
	$fdata["GoodName"] = "cont_pers_id";
	$fdata["ownerTable"] = "dep_ofna_pers";
	$fdata["Label"] = GetFieldLabel("dep_ofna_pers","cont_pers_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cont_pers_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cont_pers_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "persona";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadep_ofna_pers["cont_pers_id"] = $fdata;
		$tdatadep_ofna_pers[".searchableFields"][] = "cont_pers_id";
//	cont_ofna_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cont_ofna_id";
	$fdata["GoodName"] = "cont_ofna_id";
	$fdata["ownerTable"] = "dep_ofna_pers";
	$fdata["Label"] = GetFieldLabel("dep_ofna_pers","cont_ofna_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cont_ofna_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cont_ofna_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadep_ofna_pers["cont_ofna_id"] = $fdata;
		$tdatadep_ofna_pers[".searchableFields"][] = "cont_ofna_id";
//	pers_pers_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "pers_pers_id";
	$fdata["GoodName"] = "pers_pers_id";
	$fdata["ownerTable"] = "dep_ofna_pers";
	$fdata["Label"] = GetFieldLabel("dep_ofna_pers","pers_pers_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pers_pers_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pers_pers_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadep_ofna_pers["pers_pers_id"] = $fdata;
		$tdatadep_ofna_pers[".searchableFields"][] = "pers_pers_id";
//	pers_nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "pers_nombre";
	$fdata["GoodName"] = "pers_nombre";
	$fdata["ownerTable"] = "dep_ofna_pers";
	$fdata["Label"] = GetFieldLabel("dep_ofna_pers","pers_nombre");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "pers_nombre";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pers_nombre";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadep_ofna_pers["pers_nombre"] = $fdata;
		$tdatadep_ofna_pers[".searchableFields"][] = "pers_nombre";
//	pers_cargo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "pers_cargo";
	$fdata["GoodName"] = "pers_cargo";
	$fdata["ownerTable"] = "dep_ofna_pers";
	$fdata["Label"] = GetFieldLabel("dep_ofna_pers","pers_cargo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "pers_cargo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pers_cargo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadep_ofna_pers["pers_cargo"] = $fdata;
		$tdatadep_ofna_pers[".searchableFields"][] = "pers_cargo";


$tables_data["dep_ofna_pers"]=&$tdatadep_ofna_pers;
$field_labels["dep_ofna_pers"] = &$fieldLabelsdep_ofna_pers;
$fieldToolTips["dep_ofna_pers"] = &$fieldToolTipsdep_ofna_pers;
$placeHolders["dep_ofna_pers"] = &$placeHoldersdep_ofna_pers;
$page_titles["dep_ofna_pers"] = &$pageTitlesdep_ofna_pers;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["dep_ofna_pers"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["dep_ofna_pers"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_dep_ofna_pers()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "dep_dep_id,  	ofna_ofna_id,  	ofna_dep,  	cont_cont_id,  	cont_pers_id,  	cont_ofna_id,  	pers_pers_id,  	pers_nombre,  	pers_cargo";
$proto0["m_strFrom"] = "FROM dep_ofna_pers";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "dep_dep_id",
	"m_strTable" => "dep_ofna_pers",
	"m_srcTableName" => "dep_ofna_pers"
));

$proto6["m_sql"] = "dep_dep_id";
$proto6["m_srcTableName"] = "dep_ofna_pers";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "ofna_ofna_id",
	"m_strTable" => "dep_ofna_pers",
	"m_srcTableName" => "dep_ofna_pers"
));

$proto8["m_sql"] = "ofna_ofna_id";
$proto8["m_srcTableName"] = "dep_ofna_pers";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ofna_dep",
	"m_strTable" => "dep_ofna_pers",
	"m_srcTableName" => "dep_ofna_pers"
));

$proto10["m_sql"] = "ofna_dep";
$proto10["m_srcTableName"] = "dep_ofna_pers";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "cont_cont_id",
	"m_strTable" => "dep_ofna_pers",
	"m_srcTableName" => "dep_ofna_pers"
));

$proto12["m_sql"] = "cont_cont_id";
$proto12["m_srcTableName"] = "dep_ofna_pers";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "cont_pers_id",
	"m_strTable" => "dep_ofna_pers",
	"m_srcTableName" => "dep_ofna_pers"
));

$proto14["m_sql"] = "cont_pers_id";
$proto14["m_srcTableName"] = "dep_ofna_pers";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "cont_ofna_id",
	"m_strTable" => "dep_ofna_pers",
	"m_srcTableName" => "dep_ofna_pers"
));

$proto16["m_sql"] = "cont_ofna_id";
$proto16["m_srcTableName"] = "dep_ofna_pers";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "pers_pers_id",
	"m_strTable" => "dep_ofna_pers",
	"m_srcTableName" => "dep_ofna_pers"
));

$proto18["m_sql"] = "pers_pers_id";
$proto18["m_srcTableName"] = "dep_ofna_pers";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "pers_nombre",
	"m_strTable" => "dep_ofna_pers",
	"m_srcTableName" => "dep_ofna_pers"
));

$proto20["m_sql"] = "pers_nombre";
$proto20["m_srcTableName"] = "dep_ofna_pers";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "pers_cargo",
	"m_strTable" => "dep_ofna_pers",
	"m_srcTableName" => "dep_ofna_pers"
));

$proto22["m_sql"] = "pers_cargo";
$proto22["m_srcTableName"] = "dep_ofna_pers";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "dep_ofna_pers";
$proto25["m_srcTableName"] = "dep_ofna_pers";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "dep_dep_id";
$proto25["m_columns"][] = "ofna_ofna_id";
$proto25["m_columns"][] = "ofna_dep";
$proto25["m_columns"][] = "cont_cont_id";
$proto25["m_columns"][] = "cont_pers_id";
$proto25["m_columns"][] = "cont_ofna_id";
$proto25["m_columns"][] = "pers_pers_id";
$proto25["m_columns"][] = "pers_nombre";
$proto25["m_columns"][] = "pers_cargo";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "dep_ofna_pers";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "dep_ofna_pers";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="dep_ofna_pers";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_dep_ofna_pers = createSqlQuery_dep_ofna_pers();


	
		;

									

$tdatadep_ofna_pers[".sqlquery"] = $queryData_dep_ofna_pers;



$tableEvents["dep_ofna_pers"] = new eventsBase;
$tdatadep_ofna_pers[".hasEvents"] = false;

?>